%dipolar interaction 3d surface plot


xxLength = 50;
yyLength = xxLength;
zz = NaN(xxLength);
rTF= .1;
xylim=0.24;
xx = linspace(-xylim,xylim,xxLength);
yy = linspace(-xylim,xylim,yyLength);
for ixx = 1:xxLength
    for ix = 1:yyLength
        if ((xx(ixx)^2) + (yy(ix))^2)<(rTF^2)
            zz(ix,ixx) = ((1 - 3*(xx(ixx)^2)/(xx(ixx)^2 + yy(ix)^2)))*(xx(ixx)^2 + yy(ix)^2);
        else
            zz(ix,ixx) = (1 - 3*(xx(ixx)^2)/(xx(ixx)^2 + yy(ix)^2))*(rTF^5)/((xx(ixx)^2 + yy(ix)^2)^1.5);
        end
    end
end
figure(92);
hold on;
light;
s1 = surfl(xx,yy,zz);
%c1 = contour3(xx,yy,zz,'k')
set(s1, 'EdgeColor','none'); 
set(gcf, 'renderer', 'painters');
set(gcf, 'color', 'white'); % sets the color to white 
colormap(autumn);
material shiny;
%zlim([-200 100]);
grid off;
hold off;

% figure(93)
% hold on;
% contourf(xx,yy,zz)
% set(gcf, 'renderer', 'painters');
% set(gcf, 'color', 'white'); % sets the color to white 
% colormap(autumn);
% grid off;
% hold off;